Subject: Re: [PATCH] valgrind: ignore SSE-based strlen invalid reads

From: Andreas Schwab <[email-masked]>
Date: Wed, 16 Mar 2011 23:43:07 +0100

Carlos Martín Nieto <[email-masked]> writes:

>  Looking at that header, strlen is one of the few functions not being
> replaced by its __builtin version, and I only see __builtin_strlen in
> the C++ patches. I'll rephrase to something like "Some versions of
> strlen use SSE which then get inlined" to avoid blaming anyone in
> particular, though thinking about it, it does seem logical that it's
> GCC's builtin strlen.

All processor optimized versions of strlen in glibc are out-of-line, so
any use of SSE can only come from __builtin_strlen.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."